<?php

use App\Livewire\Member\Membership;
use App\Livewire\Member\Overview;
use App\Livewire\Member\RedeemPoint;
use App\Livewire\Member\Setting\Account;
use App\Livewire\Member\Voucher;
use Illuminate\Support\Facades\Route;

Route::middleware(['auth', 'verified'])
    ->prefix('member')
    ->name('member.')
    ->group(function () {
        Route::get('overview', Overview::class)->name('overview');
        Route::get('vouchers', Voucher::class)->name('voucher');
        Route::get('memberships', Membership::class)->name('membership');
        Route::get('redeem-points', RedeemPoint::class)->name('redeem_point');
        Route::get('settings', Account::class)->name('setting');
    });
